Last Comment Bug 555860 - Enable Certplus Class 2 Primary CA for EV in PSM
: Enable Certplus Class 2 Primary CA for EV in PSM
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Security: PSM (show other bugs)
: unspecified
: All All
-- enhancement (vote)
: ---
Assigned To: Kai Engert (:kaie)
:
: David Keeler [:keeler] (use needinfo?)
Mentors:
Depends on:
Blocks: 497917
  Show dependency treegraph
 
Reported: 2010-03-29 16:15 PDT by Kathleen Wilson
Modified: 2010-06-16 11:21 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.7-fixed
.11-fixed


Attachments
Patch v1 (1.52 KB, patch)
2010-04-07 16:39 PDT, Kai Engert (:kaie)
rrelyea: review+
honzab.moz: review+
dveditz: approval1.9.2.7+
dveditz: approval1.9.1.11+
Details | Diff | Splinter Review

Description User image Kathleen Wilson 2010-03-29 16:15:34 PDT
Per bug 497917 the request from Keynectis/Certplus has been approved to enable its Certplus “Class 2 Primary CA” root certificate for EV use. Please make the corresponding changes to PSM.

The relevant information is as follows:

Friendly name: Certplus Class 2 Primary CA

SHA1 Fingerprint: 
74:20:74:41:72:9C:DD:92:EC:79:31:D8:23:10:8D:C2:81:92:E2:BB

EV policy OID:  1.3.6.1.4.1.22234.2.5.2.3.1 

Test URL: https://www.keynectis.com
Comment 1 User image Kathleen Wilson 2010-03-29 16:19:00 PDT
Erwann, Please confirm that the above information is correct.
Comment 2 User image Erwann Abalea 2010-03-30 02:58:43 PDT
I double checked the SHA1 fingerprint, and the EV Policy OID. Everything mentioned above is correct.
BTW, thank you for your implication.
Comment 3 User image Kathleen Wilson 2010-04-05 13:09:16 PDT
Thanks for confirming that the data in this bug is correct.

Root inclusions/updates are usually grouped and done as a batch when there is either a large enough set of changes or about every 3 months.

At some point in the next 3 months a test build will be provided and this bug will be updated to request that you test it. Since you are cc'd on this bug, you will get notification via email when that happens.
Comment 4 User image Kai Engert (:kaie) 2010-04-07 16:39:00 PDT
Created attachment 437711 [details] [diff] [review]
Patch v1

Using this patch I get the expected green EV indicator.
Comment 5 User image Kai Engert (:kaie) 2010-04-07 16:43:30 PDT
Kathleen, I wonder if we could simplify the verification procedure (this time only), given that no NSS update is necessary.

My proposal is:
- I've already tested that it appears to work
- we get the code review
- we add the code to the experimental Firefox nightly builds
- the CA representatives verify correctness using an 
  Firefox 3.7 nightly developer build
- if correct, we could proceed (if desired) to add it to stable branches

Kathleen, would you be OK with this simplified procedure?

Erwann Abalea, would you be OK to perform the test using an "alpha quality" version of Firefox?
Comment 6 User image Kai Engert (:kaie) 2010-04-07 16:45:57 PDT
For you and my reference, I'm talking about the nightly builds that are updated each night at this location:
ftp://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/

(your root is NOT yet enabled in those builds, we'll update the bug if the proposal is accepted and once the code has been added)
Comment 7 User image Erwann Abalea 2010-04-08 02:33:54 PDT
I'm OK to test such an "alpha quality" version of Firefox.
Comment 8 User image Kathleen Wilson 2010-04-08 09:46:06 PDT
Kai, That sounds like a good plan.  Thanks!
Comment 9 User image Honza Bambas (:mayhemer) 2010-04-20 14:07:28 PDT
Comment on attachment 437711 [details] [diff] [review]
Patch v1

Works for me.

>diff --git a/security/manager/ssl/src/nsIdentityChecking.cpp b/security/manager/ssl/src/nsIdentityChecking.cpp
>+    //    CN=Class 2 Primary CA,O=Certplus,C=FR

Maybe just adjust to one space after // to be consistent with the rest of the file.

r=honzab
Comment 10 User image Robert Relyea 2010-04-22 16:50:25 PDT
Comment on attachment 437711 [details] [diff] [review]
Patch v1

r+ rrelyea
Comment 11 User image Kai Engert (:kaie) 2010-05-03 04:46:26 PDT
Checked in
http://hg.mozilla.org/mozilla-central/rev/e6b82019c7a7

Erwann: Please wait until tomorrow, then go to the address from comment 6, and grab a alpha quality build with a timestamp of May 04.
Thanks in advance for testing.
Please let us know if it works right for you.
Comment 12 User image Erwann Abalea 2010-05-05 05:05:37 PDT
Sorry I couldn't check yesterday, too busy.
I just downloaded and tested the May 05 version, for Linux i686, that's right for me, I get the green bar.

Thanks, Kai.
Comment 13 User image Kai Engert (:kaie) 2010-06-06 12:16:48 PDT
Comment on attachment 437711 [details] [diff] [review]
Patch v1

requesting EV approval for stable firefox branches
Comment 14 User image Daniel Veditz [:dveditz] 2010-06-14 10:53:37 PDT
Comment on attachment 437711 [details] [diff] [review]
Patch v1

Approved for 1.9.2.6 and 1.9.1.11, a=dveditz for release-drivers

Note You need to log in before you can comment on or make changes to this bug.